import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.LocalStorage 2.0
import QtGraphicalEffects 1.0
import "../helpers/db.js" as Favorites

Dialog {
    id: settingsDialog
 //   property bool aComp
  //  property bool aMag
  //  property int aR: anchorRadius

    Column {
        //id: col1
        anchors.left: parent.left
        anchors.right: parent.right
        spacing: Theme.paddingMedium

        DialogHeader {}

        Label {
            anchors.right: parent.right
            anchors.rightMargin: Theme.paddingLarge
            color: Theme.highlightColor
            font.pixelSize: Theme.fontSizeLarge
            text: qsTr("App settings")
        }

        Separator {
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.rightMargin: Theme.paddingMedium
            color: Theme.highlightColor
        }

        ComboBox {
            id: appStart
            width: parent.width
            label: "Auto play"
            anchors.margins: Theme.paddingLarge
            description: "What to do when AllRadio2 starts"
            currentIndex: Favorites.getSetting("appStart",0)
            menu: ContextMenu {
                MenuItem { text: "Off" }
                MenuItem { text: "Last played" }
                MenuItem { text: "Random favorite" }
            }
        }
    }

    onAccepted: {
        //console.log(" *** APPSTART: "+appStart.currentIndex)
        Favorites.setSetting("appStart",appStart.currentIndex)
      /*  activateNumbers.checked ? showCompasNumbers = 1 : showCompasNumbers = 0
        var scron
        keepSon.checked ? scron = 1 : scron = 0
        keepScreenOn = keepSon.checked
        settings.setSettingSetting(aComp,aMag,aR,showCompasNumbers,scron)
        anchorRadius = aR */
    }
}

