import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.LocalStorage 2.0
import QtGraphicalEffects 1.0
import "../helpers/db.js" as Favorites

Page {
    PageHeader {
        id: pheader
        title: "Settings"
    }

    Flickable {
        id: flick
        width:parent.width
        height: parent.height - Theme.paddingLarge * 3
        anchors.fill: parent
        anchors.leftMargin: Theme.paddingLarge
        anchors.rightMargin: Theme.paddingLarge
        anchors.topMargin: pheader.height + Theme.paddingLarge
        //contentHeight: column1.height



            TextSwitch {
                id: activationSwitch
                text: "Auto play"
                description: "Play radio station on start"
                onCheckedChanged: {
                    device.setStatus(checked ? DeviceState.Armed : DeviceState.Disarmed)
                }
            }
            ComboBox {
                 width: parent.widht
                 label: "What to play"
                 menu: ContextMenu {
                     MenuItem { text: "Last played" }
                     MenuItem { text: "Random favorite" }
                 }
             }


            /*         Label {
                width: parent.width-70
                font.pixelSize: Theme.fontSizeLarge
                text: qsTr("WARNING! THis is for debugging or corrupt database. Only delete db if it is not working!!!")
                anchors.horizontalCenter: parent.horizontalCenter
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignHCenter
                wrapMode: Text.WordWrap
            }
            Button {
                text: qsTr("Delete DB")
                onClicked: Favorites.dropTable()
                anchors.horizontalCenter: parent.horizontalCenter
            } */

    }
}
